Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class DayOfWeekEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.exchange.DayOfWeekEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class DayOfWeekEnum
extends CollabEnum
implements java.io.Serializable

This class is used to represent a day of the week for an Exchange recurrence pattern. The enumeration class that contains `DayOfWeek` elements.

See Also:
  Serialized Form

Field Summary
`static DayOfWeek` | `FRIDAY`
`static DayOfWeek` | `MONDAY`
`static int` | `NUM_ELEMENTS`
`static DayOfWeek` | `SATURDAY`
`static DayOfWeek` | `SUNDAY`
`static DayOfWeek` | `THURSDAY`
`static DayOfWeek` | `TUESDAY`
`static int` | `VALUE_FRIDAY`
`static int` | `VALUE_MONDAY`
`static int` | `VALUE_SATURDAY`
`static int` | `VALUE_SUNDAY`
`static int` | `VALUE_THURSDAY`
`static int` | `VALUE_TUESDAY`
`static int` | `VALUE_WEDNESDAY`
`static DayOfWeek` | `WEDNESDAY`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `DayOfWeekEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `DayOfWeekEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_SUNDAY

    public static final int VALUE_SUNDAY

See Also:
  Constant Field Values

### VALUE_MONDAY

    public static final int VALUE_MONDAY

See Also:
  Constant Field Values

### VALUE_TUESDAY

    public static final int VALUE_TUESDAY

See Also:
  Constant Field Values

### VALUE_WEDNESDAY

    public static final int VALUE_WEDNESDAY

See Also:
  Constant Field Values

### VALUE_THURSDAY

    public static final int VALUE_THURSDAY

See Also:
  Constant Field Values

### VALUE_FRIDAY

    public static final int VALUE_FRIDAY

See Also:
  Constant Field Values

### VALUE_SATURDAY

    public static final int VALUE_SATURDAY

See Also:
  Constant Field Values

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also:
  Constant Field Values

### SUNDAY

    public static final DayOfWeek SUNDAY

### MONDAY

    public static final DayOfWeek MONDAY

### TUESDAY

    public static final DayOfWeek TUESDAY

### WEDNESDAY

    public static final DayOfWeek WEDNESDAY

### THURSDAY

    public static final DayOfWeek THURSDAY

### FRIDAY

    public static final DayOfWeek FRIDAY

### SATURDAY

    public static final DayOfWeek SATURDAY

Constructor Detail

### DayOfWeekEnum

    protected DayOfWeekEnum(java.lang.Class elementClass,
                            int iNumElements,
                            com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                            EnumElement defaultElement,
                            java.lang.String sInternalName,
                            boolean bMaskable)

  Constructor.

### DayOfWeekEnum

    protected DayOfWeekEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.